org.eclipse.wst.jsdt.core.util

## Interface IModifierConstants

    public interface IModifierConstants

Definition of the modifier constants. This interface is not intended to be implemented by clients. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static int` `ACC_ABSTRACT`
`static int` `ACC_FINAL`
`static int` `ACC_NATIVE`
`static int` `ACC_PRIVATE`
`static int` `ACC_PROTECTED`
`static int` `ACC_PUBLIC`
`static int` `ACC_STATIC`
`static int` `ACC_STRICT`
`static int` `ACC_SUPER`
`static int` `ACC_VARARGS` Indicates a variable arity method (added in J2SE 1.5).

### Field Detail

#### ACC_PUBLIC

    static final int ACC_PUBLIC

See Also:
  Constant Field Values

#### ACC_PRIVATE

    static final int ACC_PRIVATE

See Also:
  Constant Field Values

#### ACC_PROTECTED

    static final int ACC_PROTECTED

See Also:
  Constant Field Values

#### ACC_STATIC

    static final int ACC_STATIC

See Also:
  Constant Field Values

#### ACC_FINAL

    static final int ACC_FINAL

See Also:
  Constant Field Values

#### ACC_SUPER

    static final int ACC_SUPER

See Also:
  Constant Field Values

#### ACC_VARARGS

    static final int ACC_VARARGS

Indicates a variable arity method (added in J2SE 1.5).

See Also:
  Constant Field Values

#### ACC_NATIVE

    static final int ACC_NATIVE

See Also:
  Constant Field Values

#### ACC_ABSTRACT

    static final int ACC_ABSTRACT

See Also:
  Constant Field Values

#### ACC_STRICT

    static final int ACC_STRICT

See Also:
  Constant Field Values